Package classycle.dependency

# Class DependencyResult

java.lang.Object
classycle.dependency.DependencyResult

All Implemented Interfaces:
  `Result`

public class DependencyResult extends Object implements Result
Result of a dependency check.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`DependencyResult(StringPattern startSet, StringPattern finalSet, String statement, AtomicVertex[] paths)`

## Method Summary

Modifier and Type
Method
Description
`StringPattern`
`getFinalSet()`
Returns the pattern describing the final set.
`AtomicVertex[]`
`getPaths()`
Returns the vertices of the paths of unwanted dependencies.
`StringPattern`
`getStartSet()`
Returns the pattern describing the start set.
`String`
`getStatement()`
Returns the statement causing this result.
`boolean`
`isOk()`
Returns `true` if and only if `getPaths()` is empty.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DependencyResult

public DependencyResult(StringPattern startSet, StringPattern finalSet, String statement, AtomicVertex[] paths)

## Method Details

### isOk

public boolean isOk()
Returns `true` if and only if `getPaths()` is empty.

Specified by:
  `isOk` in interface `Result`

### getStatement

public String getStatement()
Returns the statement causing this result.

### getFinalSet

public StringPattern getFinalSet()
Returns the pattern describing the final set.

### getPaths

public AtomicVertex[] getPaths()
Returns the vertices of the paths of unwanted dependencies.

Returns:
  an empty array if no unwanted dependencies have been found.

### getStartSet

public StringPattern getStartSet()
Returns the pattern describing the start set.

### toString

public String toString()

Overrides:
  `toString` in class `Object`